Ask Your Question
0

How to implement op planner's obstacle avoidance and lane change?

asked 2020-08-06 03:40:24 -0600

fantasyplus gravatar image

updated 2020-08-06 04:09:14 -0600

image description

image description

I have done this with op_global_planner ang op_local_planner,but when I push op_trajectory_evaluator the error shows.Can someone tell me how to implement lane change by open planner?

image description

edit retag flag offensive close merge delete

Comments

I noticed on your first image you don't have behavior selector turned on. Is this correct?

Patrick N. gravatar image Patrick N.  ( 2020-08-06 14:29:46 -0600 )edit

It does't matter open it or not , I have tried several times. The critical step is the error about op_trajectory_evaulator.

fantasyplus gravatar image fantasyplus  ( 2020-08-06 19:58:05 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2020-08-08 02:53:55 -0600

Hatem gravatar image

This feature is not complete in the Autoware repository. OpenPlanner 1.5

It is working in this fork from Release 1.13. (OpenPlanner 2.0)

In the main repository only global planning works.

Regards,

edit flag offensive delete link more

Comments

thanks,I have already noticed that fork,but I didn't find that is a lately version,I will try it latter.

fantasyplus gravatar image fantasyplus  ( 2020-08-09 20:12:18 -0600 )edit

you need to checkout branch openplanner.1.13

Hatem gravatar image Hatem  ( 2020-08-09 20:25:39 -0600 )edit

which folder do I need to rebuild? common,core_perception,core_planning? I merged this three with my src ,but build failed.

or all source folders include message etc? How about message or utility or.... folder's version? master or openplanner.1.13?

fantasyplus gravatar image fantasyplus  ( 2020-08-11 03:27:36 -0600 )edit

common, core_perception and core_planning from branch "openplanner.1.13" the other modules are from release 1.13.0

Hatem gravatar image Hatem  ( 2020-08-11 20:44:07 -0600 )edit

@Hatem Thank you for your efforts, I checkout this in autoware 1.13 installation but it gives me this error while building op_planner: --- stderr: op_planner
CMake Error at CMakeLists.txt:89 (roslint_add_test): Unknown CMake command "roslint_add_test". do you have any Idea? can I use it with autoware 1.14?

Mohsen.ciw gravatar image Mohsen.ciw  ( 2021-01-10 15:06:29 -0600 )edit

It is not integrated with Autoware 1.14 yet, you can use it will 1.13 only.

Once release 1.15 comes out, OpenPlanner 2.0 will be updated to work with that release.

Hatem gravatar image Hatem  ( 2021-01-11 00:11:56 -0600 )edit

Hello @Hatem and @fantasyplus, I meet the same problem: m_TrajectoryCosts.size() Not Equal m_GeneratedRollOuts.size() using Autoware 1.14. I noticed the fork openplanner.1.13 you mentioned. I would like to know that is the only (or the easiest) solution be using common, core_perception and core_planning from branch "openplanner.1.13" and the other modules are from release 1.13.0?

I would be appreciated if you can help. Thanks a lot!

yougeyxt gravatar image yougeyxt  ( 2021-05-30 17:35:26 -0600 )edit

@yougeyxt check the follow discourse post

Hatem gravatar image Hatem  ( 2021-06-02 03:17:39 -0600 )edit
0

answered 2021-04-27 08:32:04 -0600

Thiago de Borba gravatar image

I am also trying to implement obstacle avoidance with op planner. Did you find any solution?

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2020-08-06 03:40:24 -0600

Seen: 418 times

Last updated: Apr 27 '21